Package com.complexible.common.primitives

# Class AbstractSkippingLongIterator

java.lang.Object
com.complexible.common.primitives.AbstractLongIterator
com.complexible.common.primitives.AbstractSkippingLongIterator

All Implemented Interfaces:
  `PeekingLongIterator`, `SkippingLongIterator`, `CloseableLongIterator`, `LongIterator`, `ResettableLongIterator`, `AutoCloseable`

public abstract class AbstractSkippingLongIterator extends AbstractLongIterator implements SkippingLongIterator

Since:
  5.1
Author:
  Pavel Klinov

- ## Field Summary

  ### Fields inherited from class com.complexible.common.primitives.AbstractLongIterator

  `mNext`

  ### Fields inherited from interface com.complexible.common.primitives.LongIterator

  `NO_NEXT_ELEMENT`

  ### Fields inherited from interface com.complexible.common.collect.SkippingLongIterator

  `NOT_FOUND`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractSkippingLongIterator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract long`
  `computeSkipTo(long theValue)`
  `final boolean`
  `skipTo(long theValue)`
  Moves the position to the minimal value that is greater than or equal to the target.

  ### Methods inherited from class com.complexible.common.primitives.AbstractLongIterator

  `computeNext, endOfData, hasNext, next, peek, performReset, reset`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.complexible.common.primitives.LongIterator

  `hasNext, next`

  ### Methods inherited from interface com.complexible.common.collect.PeekingLongIterator

  `peek`

  ### Methods inherited from interface com.complexible.common.collect.SkippingLongIterator

  `close, reset`

- ## Constructor Details

  - ### AbstractSkippingLongIterator

    public AbstractSkippingLongIterator()

- ## Method Details

  - ### skipTo

    public final boolean skipTo(long theValue)
    Description copied from interface: `SkippingLongIterator`
    Moves the position to the minimal value that is greater than or equal to the target. Returns true, if such value exists, false otherwise.
    Specified by:
      `skipTo` in interface `SkippingLongIterator`

  - ### computeSkipTo

    public abstract long computeSkipTo(long theValue)